package cn.com.tenlion.institutionmanagement.pojo.pos.institution;

/**
 *
 * @ClassName: InstitutionPO
 * @Description: 机构管理
 * @Author: CodeFactory
 * @Date: 2021-04-28 17:58:49
 * @Version: 3.0
 **/
public class InstitutionPO {

    private String institutionId;
    private String institutionName;
    private String institutionDesc;
    private String institutionImage;
    private String institutionAddress;
    private String institutionX;
    private String institutionY;
    private String institutionFoundingTime;
    private String institutionPrincipal;
    private String institutionContact;
    private String institutionRegionProvince;
    private String institutionRegionCity;
    private String institutionRegionArea;
    private String institutionRegionVillage;
    private String institutionRegionStreet;
    private String institutionType;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getInstitutionId() {
        return institutionId == null ? "" : institutionId.trim();
    }

    public void setInstitutionId(String institutionId) {
        this.institutionId = institutionId;
    }

    public String getInstitutionName() {
        return institutionName == null ? "" : institutionName.trim();
    }

    public void setInstitutionName(String institutionName) {
        this.institutionName = institutionName;
    }

    public String getInstitutionDesc() {
        return institutionDesc == null ? "" : institutionDesc.trim();
    }

    public void setInstitutionDesc(String institutionDesc) {
        this.institutionDesc = institutionDesc;
    }

    public String getInstitutionImage() {
        return institutionImage == null ? "" : institutionImage.trim();
    }

    public void setInstitutionImage(String institutionImage) {
        this.institutionImage = institutionImage;
    }

    public String getInstitutionAddress() {
        return institutionAddress == null ? "" : institutionAddress.trim();
    }

    public void setInstitutionAddress(String institutionAddress) {
        this.institutionAddress = institutionAddress;
    }

    public String getInstitutionX() {
        return institutionX == null ? "" : institutionX.trim();
    }

    public void setInstitutionX(String institutionX) {
        this.institutionX = institutionX;
    }

    public String getInstitutionY() {
        return institutionY == null ? "" : institutionY.trim();
    }

    public void setInstitutionY(String institutionY) {
        this.institutionY = institutionY;
    }

    public String getInstitutionFoundingTime() {
        return institutionFoundingTime == null ? "" : institutionFoundingTime.trim();
    }

    public void setInstitutionFoundingTime(String institutionFoundingTime) {
        this.institutionFoundingTime = institutionFoundingTime;
    }

    public String getInstitutionPrincipal() {
        return institutionPrincipal == null ? "" : institutionPrincipal.trim();
    }

    public void setInstitutionPrincipal(String institutionPrincipal) {
        this.institutionPrincipal = institutionPrincipal;
    }

    public String getInstitutionContact() {
        return institutionContact == null ? "" : institutionContact.trim();
    }

    public void setInstitutionContact(String institutionContact) {
        this.institutionContact = institutionContact;
    }

    public String getInstitutionRegionProvince() {
        return institutionRegionProvince == null ? "" : institutionRegionProvince.trim();
    }

    public void setInstitutionRegionProvince(String institutionRegionProvince) {
        this.institutionRegionProvince = institutionRegionProvince;
    }

    public String getInstitutionRegionCity() {
        return institutionRegionCity == null ? "" : institutionRegionCity.trim();
    }

    public void setInstitutionRegionCity(String institutionRegionCity) {
        this.institutionRegionCity = institutionRegionCity;
    }

    public String getInstitutionRegionArea() {
        return institutionRegionArea == null ? "" : institutionRegionArea.trim();
    }

    public void setInstitutionRegionArea(String institutionRegionArea) {
        this.institutionRegionArea = institutionRegionArea;
    }

    public String getInstitutionRegionVillage() {
        return institutionRegionVillage == null ? "" : institutionRegionVillage.trim();
    }

    public void setInstitutionRegionVillage(String institutionRegionVillage) {
        this.institutionRegionVillage = institutionRegionVillage;
    }

    public String getInstitutionRegionStreet() {
        return institutionRegionStreet == null ? "" : institutionRegionStreet.trim();
    }

    public void setInstitutionRegionStreet(String institutionRegionStreet) {
        this.institutionRegionStreet = institutionRegionStreet;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


    public String getInstitutionType() {
        return institutionType;
    }

    public void setInstitutionType(String institutionType) {
        this.institutionType = institutionType;
    }
}
